[Language]
SupportLanguage="US,JP,CN,ES,FR,DE,IT,KR,NL,PL,PT,RU,TW,CZ,DK,NO,SE,GR,FI,HU,TH,TR,ID,AR,BG,ET,LV,LT,RO,SK,SL,UK"
DefaultLanguage="US"
ReadMeDIR=""

[Startup]
AppName="Download Canon Easy-WebPrint EX"
ProductName="ewpexdl.exe"
Version="1.3.0.0"
EULA="1"
FolderSelect="0"
MinimumSize="5"
MaxPathLen="230"

[install folder]
FolderName="Easy-WebPrint EX"

[desktop shortcut]
Shortcut="0"

[group shortcut]
GroupShortcut="0"

[uninstall info]

[app path info]
AppPathsName="ewpexdl.exe" "$InsFolder$\ewpexdl.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp="0"
UNInfo="ewpexdl.exe" "" "" "" "" ""

[OS]
WIN95="0"
WIN98="0"
WINME="0"
WINNT="0"
WIN2K="0"
WINXP="1"
WINVS="1"
WIN7="1"
WINNW="1"

[DOCICON]

[Files]
FILE="Data2.Cab\ewpexdl.exe" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\ewpexdl.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

FILE="Data2.cab\JP\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(JP)"
FILE="Data2.cab\US\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(US)"
FILE="Data2.cab\CN\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(CN)"
FILE="Data2.cab\DE\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(DE)"
FILE="Data2.cab\ES\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(ES)"
FILE="Data2.cab\FR\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(FR)"
FILE="Data2.cab\IT\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(IT)"
FILE="Data2.cab\KR\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(KR)"
FILE="Data2.cab\NL\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(NL)"
FILE="Data2.cab\PL\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(PL)"
FILE="Data2.cab\PT\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(PT)"
FILE="Data2.cab\RU\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(RU)"
FILE="Data2.cab\TW\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(TW)"
FILE="Data2.cab\CZ\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(CZ)"
FILE="Data2.cab\HU\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(HU)"
FILE="Data2.cab\NO\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(NO)"
FILE="Data2.cab\FI\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(FI)"
FILE="Data2.cab\DK\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(DK)"
FILE="Data2.cab\SE\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(SE)"
FILE="Data2.cab\GR\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(GR)"
FILE="Data2.cab\TH\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(TH)"
FILE="Data2.cab\TR\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(TR)"
FILE="Data2.cab\ID\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(ID)"
FILE="Data2.cab\AR\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(AR)"
FILE="Data2.cab\BG\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(BG)"
FILE="Data2.cab\ET\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(ET)"
FILE="Data2.cab\LV\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LV)"
FILE="Data2.cab\LT\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LT)"
FILE="Data2.cab\RO\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(RO)"
FILE="Data2.cab\SK\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(SK)"
FILE="Data2.cab\SL\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(SL)"
FILE="Data2.cab\UK\ewpdllng.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(UK)"

REGI="HLM" "Software\Canon\Easy-WebPrint EX\Download" "DllPath" "REG_SZ"  "$InsFolder$\ewpexdl.dll" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\Easy-WebPrint EX\Download" "URL" "REG_SZ"  "http://rs.ciggws.net/rd.cgi?FNC=EWPEX_PRG" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

[UNINSTALL ONLY]

[InstallBeforeCall]

[InstallAfterCall]
CallEntry="INST_APO" "ewpexdl.exe" "OS(OS_INDEPENDENT)" "INST_ERR" "CALL_ONLY" "EXE_WAITCALL" "/setup $CmdParam$" "0"

[InstallEndCall]

[UninstallBeforeCall]

[UninstallAfterCall]

